Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.jdo.annotations
Enum ForeignKeyAction

    java.lang.Object
      java.lang.Enum<ForeignKeyAction>
          javax.jdo.annotations.ForeignKeyAction

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ForeignKeyAction>

    public enum ForeignKeyAction

extends java.lang.Enum<ForeignKeyAction>

Enumeration of the foreign-key delete/update action values.

Since:
  2.1
Version:
  2.1

Enum Constant Summary
`CASCADE`
`DEFAULT`
`NONE`
`NULL`
`RESTRICT`
`UNSPECIFIED`

Method Summary
`static ForeignKeyAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ForeignKeyAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNSPECIFIED

    public static final ForeignKeyAction UNSPECIFIED

### RESTRICT

    public static final ForeignKeyAction RESTRICT

### CASCADE

    public static final ForeignKeyAction CASCADE

### NULL

    public static final ForeignKeyAction NULL

### DEFAULT

    public static final ForeignKeyAction DEFAULT

### NONE

    public static final ForeignKeyAction NONE

Method Detail

### values

    public static ForeignKeyAction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ForeignKeyAction c : ForeignKeyAction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ForeignKeyAction valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.